Bug 461307

Summary: Review Request: perl-Software-License Packages that provide templated software licenses
Product: [Fedora] Fedora Reporter: Daniel Berrangé <berrange>
Component: Package ReviewAssignee: Jason Tibbitts <tibbs>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: cweyl, fedora-package-review, notting, paul
Target Milestone: ---Flags: tibbs: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-10-03 15:57:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 461303    
Bug Blocks:    
Attachments:
Description Flags
Patch to get test suite to work with Test::More < 0.88 none

Description Daniel Berrangé 2008-09-05 18:16:30 UTC
Spec URL: http://berrange.fedorapeople.org/review/perl-Software-License/perl-Software-License.spec
SRPM URL: http://berrange.fedorapeople.org/review/perl-Software-License/perl-Software-License-0.008-1.fc9.src.rpm
Description:

This new package is a requirement to upgrade perl-Module-CPANTS-Analyse to
latest upstream release

Comment 1 Daniel Berrangé 2008-09-06 10:29:42 UTC
Updated SRPM to fix a missing BuildRequires, and fix description. Spec file at same URL as before

http://berrange.fedorapeople.org/review/perl-Software-License/perl-Software-License-0.008-2.fc9.src.rpm

Comment 2 Chris Weyl 2008-09-13 08:21:48 UTC
The explicit requires in the specfile should be dropped; they're duplicating the autogenerated requires:

====> requires for perl-Software-License-0.008-2.fc9.noarch.rpm
perl >= 0:5.006
perl(:MODULE_COMPAT_5.10.0)  
perl(Data::Section)  
perl(Data::Section) >= 0.000
perl(Software::License::Artistic_1_0)  
perl(Software::License::GPL_1)  
perl(Sub::Install)  
perl(Sub::Install) >= 0.000
perl(Text::Template)  
perl(Text::Template) >= 0.000
perl(base)  
perl(strict)  
perl(warnings)  

Scratch build looks good.  
==> http://koji.fedoraproject.org/koji/taskinfo?taskID=824276

Comment 3 Daniel Berrangé 2008-09-20 18:07:10 UTC
Updated package dropping the redundant Requires: tags

http://berrange.fedorapeople.org/review/perl-Software-License/perl-Software-License-0.008-3.fc9.src.rpm

Specfile in same URL as before

Comment 4 Jason Tibbitts 2008-10-01 17:54:40 UTC
The Source: URL seems incorrect; at least, I get 404 when trying to download it.
Not sure what's up there, but I found the package at: 
http://search.cpan.org/CPAN/authors/id/R/RJ/RJBS/Software-License-%{version}.tar.gz

I don't see that this should hold up approval of this package, though; it may simply be an error at CPAN.  I guess you can switch to the more complicated URL or bug CPAN to fix the issue; either way works for me, and if nothing changes then the automated source-fetching report will start bugging you.

After fixing that:

* source files match upstream:
   d5e2f5aca8813132eb3fd7306e56f0c9b2863625c7d545ab606c5b25d499b05d  
   Software-License-0.008.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* rpmlint is silent.
* final provides and requires are sane:
   perl(Software::License) = 0.008
   perl(Software::License::AGPL_3)
   perl(Software::License::Apache_1_1)
   perl(Software::License::Apache_2_0)
   perl(Software::License::Artistic_1_0)
   perl(Software::License::Artistic_2_0)
   perl(Software::License::BSD)
   perl(Software::License::FreeBSD)
   perl(Software::License::GFDL_1_2)
   perl(Software::License::GPL_1)
   perl(Software::License::GPL_2)
   perl(Software::License::GPL_3)
   perl(Software::License::LGPL_2_1)
   perl(Software::License::LGPL_3_0)
   perl(Software::License::MIT)
   perl(Software::License::Mozilla_1_0)
   perl(Software::License::Mozilla_1_1)
   perl(Software::License::Perl_5)
   perl(Software::License::QPL_1_0)
   perl(Software::License::Sun)
   perl(Software::License::Zlib)
   perl(Software::LicenseUtils)
   perl-Software-License = 0.008-3.fc10
  =
   perl >= 0:5.006
   perl(:MODULE_COMPAT_5.10.0)
   perl(Data::Section)
   perl(Software::License::Artistic_1_0)
   perl(Software::License::GPL_1)
   perl(Sub::Install)
   perl(Text::Template)
   perl(base)
   perl(strict)
   perl(warnings)


* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=8,  0 wallclock secs ( 0.01 usr  0.01 sys +  0.06 cusr  0.01 
    csys =  0.09 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED!

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.

Comment 5 Daniel Berrangé 2008-10-02 10:06:31 UTC
Odd that it source tar.gz doesn't exist there - it is certainly supposed to. I'll change the URL to point to the alternate location indexed by author instead of by module.

Comment 6 Daniel Berrangé 2008-10-02 10:07:41 UTC
New Package CVS Request
=======================
Package Name: perl-Software-License
Short Description: Package that provides templated software licenses
Owners: berrange
Branches: F-9
InitialCC: perl-sig

Comment 7 Huzaifa S. Sidhpurwala 2008-10-03 05:57:39 UTC
cvs done

Comment 8 Daniel Berrangé 2008-10-03 15:57:28 UTC
Built into rawhide..

Comment 9 Daniel Berrangé 2010-06-24 12:37:49 UTC
Package Change Request
======================
Package Name: perl-Software-License
New Branches: EL-6
Owners: berrange

Comment 10 Jason Tibbitts 2010-06-26 15:53:56 UTC
CVS done.

Comment 11 Paul Howarth 2012-03-05 15:15:26 UTC
Hi Daniel,

can we have an EL-5 branch for this package please? I have a patch to get the
test suite to work with Test::More < 0.88 as found in EL-5. I (pghmcfc) would
be happy to maintain this branch if you're not interested.

Comment 12 Daniel Berrangé 2012-03-06 11:44:51 UTC
Package Change Request
======================
Package Name: perl-Software-License
New Branches: EL-5
Owners: berrange

Comment 13 Paul Howarth 2012-03-06 12:14:04 UTC
Created attachment 567931 [details]
Patch to get test suite to work with Test::More < 0.88

Comment 14 Gwyn Ciesla 2012-03-06 13:02:21 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2012-03-18 12:47:12 UTC
perl-Software-License-0.103004-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Software-License-0.103004-2.el5

Comment 16 Fedora Update System 2012-04-02 18:28:22 UTC
perl-Software-License-0.103004-2.el5 has been pushed to the Fedora EPEL 5 stable repository.